For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Platform docsVideosCommunitySign up
CapabilitiesGetting startedVoice AI OrchestrationVoxEngine PlatformAPI ReferenceFAQ
CapabilitiesGetting startedVoice AI OrchestrationVoxEngine PlatformAPI ReferenceFAQ
  • Management API
    • Reference
        • POSTCreateKey
        • POSTGetKeys
        • POSTUpdateKey
        • POSTDeleteKey
        • POSTSetKeyRoles
        • POSTGetKeyRoles
        • POSTRemoveKeyRoles
        • POSTAddSubUser
        • POSTGetSubUsers
        • POSTSetSubUserInfo
        • POSTDelSubUser
        • POSTSetSubUserRoles
        • POSTGetSubUserRoles
        • POSTRemoveSubUserRoles
        • POSTGetRoles
        • POSTGetRoleGroups
    • Authorization
    • Errors
  • Web SDK
    • Overview
  • Android SDK
    • Overview
  • Android SDK v3
    • Overview
  • iOS SDK
    • Overview
  • React Native SDK
    • Overview
  • Flutter SDK
    • Overview
LogoLogo
Platform docsVideosCommunitySign up
Management APIReferenceRole System

AddSubUser

||View as Markdown|
POST
https://api.voximplant.com/platform_api/AddSubUser
POST
/platform_api/AddSubUser
$curl -X POST "https://api.voximplant.com/platform_api/AddSubUser?new_subuser_name=new_subuser_name&new_subuser_password=new_subuser_password" \
> -H "Authorization: Bearer <token>"
200Example 1
1{
2 "result": {
3 "subuser_id": 109
4 }
5}

Creates a subuser.

Allowed roles: Owner.

Example request: Create a new subuser for account_id = 1.

Was this page helpful?
Previous

RemoveKeyRoles

Next

GetSubUsers

Built with

Authentication

AuthorizationBearer

Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the Authorization header as a Bearer value:

Authorization: Bearer $VOXIMPLANT_TOKEN

See Authorization for ready-to-copy snippets in bash, Python, Node.js and Go that turn your credentials.json into a token.

Query parameters

new_subuser_namestringRequired
The new subuser login for management api authentication, should be unique within the Voximplant account. The login specified is always converted to lowercase
new_subuser_passwordstringRequired
The new subuser password. Must be at least 8 characters long and contain at least one uppercase and lowercase letter, one number, and one special character
role_idlist of integersOptional

The role id list separated by semicolons (;)

role_namelist of stringsOptional

The role name list separated by semicolons (;)

descriptionstringOptional
Description of a new subuser

Response

Successful response
resultobject

The [AddSubUser] function result.